SCLANG(1)

NAME
sclang - a real time audio synthesis programming language

SYNOPSIS
sclang [options]

DESCRIPTION
SuperCollider is a real time audio synthesis programming language. sclang is a client for the scsynth(1) server. It connects to scsynth, interprets your sclang commands, and sends OSC message to scsynth.

SuperCollider has documentation in the HTML format available in the supercollider-doc package.

OPTIONS
A summary of options is included below.

-d <path>
    Set runtime directory

-D  Enter daemon mode (no input)

-g <memory-growth>[ k | m ]
    Set heap growth (default 256k)

-h  Show summary of options

-l <path>
    Set library configuration file

-m <memory-space>[ k | m ]
    Set initial heap size (default 2m)

-r  Call Main.run on startup

-s  Call Main.stop on shutdown

-u <network-port-number>
    Set UDP listening port (default 57120)

SEE ALSO
scsynth(1)
/usr/share/doc/supercollider

AUTHOR
This manual page was written by Paul Brossier <piem@altern.org> for the Debian project (but may be used by others).

Modified and updated by Artem Popov <artfwo@gmail.com>.